Uploaded image for project: 'Accumulo'
  1. Accumulo
  2. ACCUMULO-92

Contrib accumulo_sample for 1.4 has GPL dependencies

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.4.0
    • Component/s: contrib

      Description

      It depends on jboss, and also util.RegionTimer in the query module is GPL. We must remove them before a release.

        Activity

        Hide
        billie.rinaldi Billie Rinaldi added a comment -

        I think we are not even allowed to have the jboss dependencies in our pom. If we want to keep this sample project dependent on jboss, we'll have to move it to github (for example).

        Show
        billie.rinaldi Billie Rinaldi added a comment - I think we are not even allowed to have the jboss dependencies in our pom. If we want to keep this sample project dependent on jboss, we'll have to move it to github (for example).
        Hide
        dlmarion Dave Marion added a comment -

        I looked at this last week, I think I can remove all of them.

        Show
        dlmarion Dave Marion added a comment - I looked at this last week, I think I can remove all of them.

          People

          • Assignee:
            afuchs Adam Fuchs
            Reporter:
            billie.rinaldi Billie Rinaldi
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development